// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: circuitsegmentservicemodule/circuitsegmentservicemodule.proto

package openfmb.circuitsegmentservicemodule;

public interface ENG_CircuitSegmentServiceModeKindOrBuilder extends
    // @@protoc_insertion_point(interface_extends:circuitsegmentservicemodule.ENG_CircuitSegmentServiceModeKind)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * The value of the coordination service mode.
   * </pre>
   *
   * <code>.circuitsegmentservicemodule.CircuitSegmentServiceModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for setVal.
   */
  int getSetValValue();
  /**
   * <pre>
   * The value of the coordination service mode.
   * </pre>
   *
   * <code>.circuitsegmentservicemodule.CircuitSegmentServiceModeKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The setVal.
   */
  openfmb.circuitsegmentservicemodule.CircuitSegmentServiceModeKind getSetVal();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   * @return Whether the setValExtension field is set.
   */
  boolean hasSetValExtension();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   * @return The setValExtension.
   */
  com.google.protobuf.StringValue getSetValExtension();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.StringValue setValExtension = 2;</code>
   */
  com.google.protobuf.StringValueOrBuilder getSetValExtensionOrBuilder();
}
